Bug 1299254 - In IPv6 deployment the Neutron database gets created as 'ovs_neutron?charset=utf8'
In IPv6 deployment the Neutron database gets created as 'ovs_neutron?charset=...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: y3
: 7.0 (Kilo)
Assigned To: Marios Andreou
Udi Shkalim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 16:27 EST by Marius Cornea
Modified: 2016-02-19 08:40 EST (History)
6 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-105.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-19 08:40:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2016-01-17 16:27:45 EST
Description of problem:
The Neutron database gets created as 'ovs_neutron?charset=utf8':
[root@overcloud-controller-0 heat-admin]# sudo mysql -e 'show databases' | grep neutron
ovs_neutron?charset=utf8

The deployment fails with:
sqlalchemy.exc.OperationalError: (_mysql_exceptions.OperationalError) (1044, "Access denied for user 'neutron'@'fd00:fd00:fd00:2000:f816:3eff:fed4:665c' to database 'ovs_neutron'")

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-103.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy IPV6 enabled overcloud
2. SSH to the controller 
3. sudo mysql -e 'show databases' | grep neutron

Actual results:
[root@overcloud-controller-0 heat-admin]# sudo mysql -e 'show databases' | grep neutron
ovs_neutron?charset=utf8

Expected results:
[root@overcloud-controller-0 ~]#  sudo mysql -e 'show databases' | grep neutron
ovs_neutron
Comment 1 Marius Cornea 2016-01-17 16:37:57 EST
OPM version: openstack-puppet-modules-2015.1.8-41.el7ost.noarch
Comment 3 Marius Cornea 2016-01-19 06:02:48 EST
openstack-tripleo-heat-templates-0.8.6-106.el7ost.noarch

[heat-admin@overcloud-controller-0 ~]$ sudo mysql -e 'show databases' | grep neutron
ovs_neutron

I can move it to VERIFIED once it's ON_QA.
Comment 4 Udi Shkalim 2016-02-04 08:55:52 EST
Verified see comment 3.

Note You need to log in before you can comment on or make changes to this bug.